'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createRemoteSchema = undefined;

let createRemoteSchema = exports.createRemoteSchema = (() => {
  var _ref = _asyncToGenerator(function* ({ broker, service }) {
    const link = new _MoleculerLink.MoleculerLink({ broker, service: service.name });
    const schema = yield (0, _graphqlTools.introspectSchema)(link);
    return (0, _graphqlTools.makeRemoteExecutableSchema)({ schema, link });
  });

  return function createRemoteSchema(_x) {
    return _ref.apply(this, arguments);
  };
})();

var _graphqlTools = require('graphql-tools');

var _MoleculerLink = require('./MoleculerLink');

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }