'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createRemoteSchema = createRemoteSchema;

var _graphqlTools = require('graphql-tools');

var _MoleculerLink = require('./MoleculerLink');

async function createRemoteSchema({ broker, service }) {
  const link = new _MoleculerLink.MoleculerLink({ broker, service: service.name });
  const schema = await (0, _graphqlTools.introspectSchema)(link);
  return (0, _graphqlTools.makeRemoteExecutableSchema)({ schema, link });
}